// -----------------------------------------------------------------------
// MatchPoint - DKFZ translational registration framework
//
// Copyright (c) German Cancer Research Center (DKFZ),
// Software development for Integrated Diagnostics and Therapy (SIDT).
// ALL RIGHTS RESERVED.
// See mapCopyright.txt or
// http://www.dkfz.de/en/sidt/projects/MatchPoint/copyright.html
//
// This software is distributed WITHOUT ANY WARRANTY; without even
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the above copyright notices for more information.
//
//------------------------------------------------------------------------
/*!
// @file
// @version $Revision: 797 $ (last changed revision)
// @date    $Date: 2014-10-10 11:42:05 +0200 (Fr, 10 Okt 2014) $ (last change date)
// @author  $Author: floca $ (last changed by)
// Subversion HeadURL: $HeadURL: https://svn.inet.dkfz-heidelberg.de/sbr/Sources/SBR-Projects/MatchPoint/trunk/Code/Core/source/mapDimensionlessRegistrationKernelBase.cpp $
*/

#include "mapDimensionlessRegistrationKernelBase.h"

namespace map
{
	namespace core
	{

		void DimensionlessRegistrationKernelBase::PrintSelf(std::ostream& os, itk::Indent indent) const
		{
			Superclass::PrintSelf(os, indent);
			os << indent << "Input dimensions: " << getInputDimensions() << std::endl;
			os << indent << "Output dimensions: " << getOutputDimensions() << std::endl;
			os << indent << "limited Representation: " << hasLimitedRepresentation() << std::endl;
		};

		DimensionlessRegistrationKernelBase::DimensionlessRegistrationKernelBase()
		{};

		DimensionlessRegistrationKernelBase::~DimensionlessRegistrationKernelBase()
		{};

		std::ostream& operator<< (std::ostream& os,
								  const DimensionlessRegistrationKernelBase& p)
		{
			p.Print(os);
			return os;
		}

	}
}
